import java.awt.*;
import java.applet.*;
import java.awt.event.*;    //NEW IMPORT STATEMENT

public class MouseListenerApplet extends Applet implements MouseListener
{
   public void init()
   {
      setBackground(Color.red);
      addMouseListener(this);
   }
  
   public void paint(Graphics g) 
   {
      Graphics2D g2D = (Graphics2D)g;
      
      g2D.drawString("Mouse click coordinates shown in status bar.", 0, 0);
   }

   public void mouseClicked(MouseEvent e)
   {
      int x = e.getX();
      int y = e.getY();
      showStatus("Mouse Clicked at (" + x + "," + y + ").");
   }

   public void mouseEntered(MouseEvent e)
   {
      //Don't care about this event, so leave it blank.
   } 

   public void mouseExited (MouseEvent e)
   {
      //Don't care about this event, so leave it blank.      
   } 

   public void mousePressed(MouseEvent e)
   {
      //Don't care about this event, so leave it blank.
   }  

   public void mouseReleased(MouseEvent e)
   {
      //Don't care about this event, so leave it blank.
   }

}
